Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Class JSBInstantiationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jini.rio.core.JSBInstantiationException

All Implemented Interfaces:
  Serializable

    public class JSBInstantiationException

extends Exception

Thrown when an a Jini Service Bean (JSB) cannot be instantiated

See Also:
  Serialized Form

Constructor Summary
`JSBInstantiationException()` Constructs a `JSBInstantiationException` with no detail message.
`JSBInstantiationException(String s)` Constructs a `JSBInstantiationException` with the specified detail message
`JSBInstantiationException(String s, Throwable cause)` Constructs a `JSBInstantiationException` with the specified detail message and optional exception that was raised while instantiating the JSB
`JSBInstantiationException(String s, Throwable cause, boolean unInstantiable)` Constructs a `JSBInstantiationException` with the specified detail message, optional exception that was raised while instantiating the JSB and whether

Method Summary
`boolean` | `isUninstantiable()` Returns whether the raised exception is in reference to a ServiceBean that is not instantiable, due to such reasons as missing classes or resources
`void` | `printStackTrace()` Prints the stack backtrace.
`void` | `printStackTrace(PrintStream ps)` Prints the stack backtrace to the specified print stream.
`void` | `printStackTrace(PrintWriter pw)` Prints the stack backtrace to the specified print writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JSBInstantiationException

    public JSBInstantiationException()

  Constructs a `JSBInstantiationException` with no detail message.

### JSBInstantiationException

    public JSBInstantiationException(String s)

  Constructs a `JSBInstantiationException` with the specified detail message

  Parameters:
    `s` - the detail message.

### JSBInstantiationException

    public JSBInstantiationException(String s,
                                     Throwable cause)

  Constructs a `JSBInstantiationException` with the specified detail message and optional exception that was raised while instantiating the JSB

  Parameters:
    `s` - the detail message
    `cause` - the exception that was raised while instantiating the JSB

### JSBInstantiationException

    public JSBInstantiationException(String s,
                                     Throwable cause,
                                     boolean unInstantiable)

  Constructs a `JSBInstantiationException` with the specified detail message, optional exception that was raised while instantiating the JSB and whether

  Parameters:
    `s` - The detail message
    `cause` - The exception that was raised while instantiating the JSB
    `unInstantiable` - - Whether the raised exception is in reference to a ServiceBean that is not instantiable, due to such reasons as missing classes or resources

Method Detail

### isUninstantiable

    public boolean isUninstantiable()

  Returns whether the raised exception is in reference to a ServiceBean that is not instantiable, due to such reasons as missing classes or resources

  Returns:
    True if the service bean is uninstantiable

### printStackTrace

    public void printStackTrace()

  Prints the stack backtrace. If an exception occurred during JSB instantiation it prints that exception's stack trace, or else prints the stack backtrace of this exception.

  Overrides:
    `printStackTrace` in class `Throwable`
  See Also:
    `System.err`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Prints the stack backtrace to the specified print stream. If an exception occurred during JSB instantiation it prints that exception's stack trace, or else prints the stack backtrace of this exception.

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Prints the stack backtrace to the specified print writer. If an exception occurred during class loading it prints that exception's stack trace, or else prints the stack backtrace of this exception.

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.